#include <stdint.h>
#include <stddef.h>
#include <ulib.h>

#define MAX_CONNS 10

void diagdummy_tcptestserver(void) {
  netsock_t netsock = ipc_netsockmake(NETSOCK_IPV4, NETSOCK_TCP);
  ipc_netsockbindport(netsock, 1);
  ipc_netsocklisten(netsock, MAX_CONNS);

  for (;;) {
    netsockev_t ev = ipc_netsockpollev(netsock);

    if (!IS_NETSOCKEV_READY(ev)) {
      schedrelease();
    } else {
    }
  }

  ipc_netsockdelete(netsock);
}

void diagdummy_tcptestclient(void) {
  /* netsock_t netsock = ipc_netsockmake(NETSOCK_IPV4, NETSOCK_TCP, ); */
}
